Name: re2c
Summary: Tool for generating C-based recognizers from regular expressions
Version: 0.14.3
Release: 1
License: MIT
Group: Development/Tools
URL: http://re2c.sourceforge.net/
Source: http://sourceforge.net/projects/re2c/files/re2c/%{version}/re2c-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:   gcc-c++ libstdc++-devel

%description
re2c is a great tool for writing fast and flexible lexers. It has
served many people well for many years and it deserves to be
maintained more actively. re2c is on the order of 2-3 times faster
than a flex based scanner, and its input model is much more
flexible.


%prep
%setup

%build
%configure
%{__make} re2c

### Regenerate file scanner.cc
./re2c -b scanner.re >scanner.cc
%{__rm} -f re2c scanner.o
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 re2c %{buildroot}%{_bindir}/re2c
%{__install} -Dp -m0644 re2c.1 %{buildroot}%{_mandir}/man1/re2c.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGELOG README doc/* examples/ lessons/
%doc %{_mandir}/man1/re2c.1*
%{_bindir}/re2c

%changelog
* Thu Oct 14 2015 Jon Ludlam <jonathan.ludlam@citrix.com>
- New upstream version

* Mon Mar 14 2011 Holger Manthey <holger.manthey@bertelsmann.de>
- Initial version.
